## kdeclarative 5.107.0

=== debian/changelog ===
kdeclarative (5.107.0-1+rpi1) trixie-staging; urgency=medium

  [changes brought forward from 5.12.0-2+rpi1 by Peter Michael Green <plugwash@raspbian.org> at Sun, 19 Jul 2015 02:00:18 +0000]
  * Add symbols file hack for raspbian.

  [changes introduced in version 5.27.0-1+rpi1 by Peter Michael Green]
  * Disable testsuite.

  [changes introduced in version 5.96.0-3+rpi1 by Peter Michael Green]
  * Extend symbols file hack.

  [changes introduced in version 5.98.0-2+rpi1 by Peter Michael Green]
  * Further extend and fix symbols file hack.

 -- Raspbian forward porter <root@raspbian.org>  Sat, 28 Oct 2023 05:03:51 +0000

kdeclarative (5.107.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (5.105.0).
  * Update build-deps and deps with the info from cmake.
  * New upstream release (5.107.0).
  * Update build-deps and deps with the info from cmake.
  * Release to unstable.

 -- Aurélien COUDERC <coucouf@debian.org>  Sun, 18 Jun 2023 16:08:44 +0200
