=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

export DEB_BUILD_MAINT_OPTIONS = hardening=+all reproducible=-fixfilepath

libpkgs_gen_strict_local_shlibs = $(libpkgs_all_packages)
include /usr/share/pkg-kde-tools/qt-kde-team/2/library-packages.mk

%:
	dh $@

override_dh_auto_build:
	sed -i s/arch=!armel/optional=meh/ debian/*.symbols
	sed -i 's/arch=alpha amd64 arm64 armhf hppa i386 mips64el mipsel powerpc ppc64 ppc64el s390x sh4/optional=meh2/' debian/*.symbols
	dh_auto_build

override_dh_auto_clean:
	dh_auto_clean
	sed -i 's/optional=meh2/arch=alpha amd64 arm64 armhf hppa i386 mips64el mipsel powerpc ppc64 ppc64el s390x sh4/' debian/*.symbols
	sed -i s/optional=meh/arch=!armel/ debian/*.symbols

override_dh_auto_configure:
	dh_auto_configure -- -DBUILD_QCH=ON

override_dh_auto_test:
	#xvfb-run -a --server-args="-screen 0 1024x768x24+32" dh_auto_test --no-parallel

override_dh_gencontrol-arch: libpkgs_gen_strict_local_shlibs
	dh_gencontrol -a
