=== debian/control ===
--- 
+++ 
@@ -1,25 +1,24 @@
 Source: kdeclarative
 Section: libs
 Priority: optional
-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
-Uploaders: Aurélien COUDERC <coucouf@debian.org>,
+Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Uploaders: Norbert Preining <norbert@preining.info>
 Build-Depends: cmake (>= 3.16~),
                debhelper-compat (= 13),
-               dh-sequence-kf5,
-               dh-sequence-pkgkde-symbolshelper,
                doxygen,
-               extra-cmake-modules (>= 5.107.0~),
+               extra-cmake-modules (>= 5.109.0~),
                libepoxy-dev,
-               libkf5config-dev (>= 5.107.0~),
-               libkf5globalaccel-dev (>= 5.107.0~),
-               libkf5guiaddons-dev (>= 5.107.0~),
-               libkf5i18n-dev (>= 5.107.0~),
-               libkf5iconthemes-dev (>= 5.107.0~),
-               libkf5kio-dev (>= 5.107.0~),
-               libkf5notifications-dev (>= 5.107.0~),
-               libkf5package-dev (>= 5.107.0~),
-               libkf5widgetsaddons-dev (>= 5.107.0~),
-               libkf5windowsystem-dev (>= 5.107.0~),
+               libkf5config-dev (>= 5.109.0~),
+               libkf5globalaccel-dev (>= 5.109.0~),
+               libkf5guiaddons-dev (>= 5.109.0~),
+               libkf5i18n-dev (>= 5.109.0~),
+               libkf5iconthemes-dev (>= 5.109.0~),
+               libkf5kio-dev (>= 5.109.0~),
+               libkf5notifications-dev (>= 5.109.0~),
+               libkf5package-dev (>= 5.109.0~),
+               libkf5widgetsaddons-dev (>= 5.109.0~),
+               libkf5windowsystem-dev (>= 5.109.0~),
                libqt5sql5-sqlite,
                pkg-config,
                pkg-kde-tools (>= 0.15.15ubuntu1~),
@@ -28,26 +27,26 @@
                qtdeclarative5-dev (>= 5.15.2~),
                qttools5-dev,
                qttools5-dev-tools,
-               xauth <!nocheck>,
-               xvfb <!nocheck>,
-Standards-Version: 4.6.2
+               xauth,
+               xvfb,
+Standards-Version: 4.6.0
 Homepage: https://invent.kde.org/frameworks/kdeclarative
-Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/kdeclarative
-Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/kdeclarative.git
+Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kdeclarative
+Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kdeclarative
 Rules-Requires-Root: no
 
 Package: kpackagelauncherqml
 Architecture: any
-Depends: ${misc:Depends}, ${shlibs:Depends},
+Depends: ${misc:Depends}, ${shlibs:Depends}
 Description: commandline tool for launching kpackage QML application
  A small commandline tool to launch KPackages (QML applications).
-Breaks: kirigami-gallery (<< 5.49),
+Breaks: kirigami-gallery (<< 5.49)
 
 Package: libkf5calendarevents5
 Architecture: any
 Multi-Arch: same
-Depends: ${misc:Depends}, ${shlibs:Depends},
-Breaks: plasma-framework (<< 5.54),
+Depends: ${misc:Depends}, ${shlibs:Depends}
+Breaks: plasma-framework (<< 5.54)
 Description: provides integration of QML and KDE frameworks -- calendarevents
  Framework providing integration of QML and other KDE frameworks such
  as making i18n available and using kio
@@ -55,7 +54,7 @@
 Package: libkf5declarative-data
 Architecture: all
 Multi-Arch: foreign
-Depends: ${misc:Depends},
+Depends: ${misc:Depends}
 Description: provides integration of QML and KDE frameworks
  Framework providing integration of QML and other KDE frameworks such
  as making i18n available and using kio.
@@ -67,13 +66,13 @@
 Architecture: any
 Depends: libkf5calendarevents5 (= ${binary:Version}),
          libkf5declarative5 (= ${binary:Version}),
-         libkf5kio-dev (>= 5.107.0~),
-         libkf5package-dev (>= 5.107.0~),
+         libkf5kio-dev (>= 5.109.0~),
+         libkf5package-dev (>= 5.109.0~),
          libkf5quickaddons5 (= ${binary:Version}),
          qtbase5-dev (>= 5.15.2~),
          qtdeclarative5-dev (>= 5.15.2~),
          ${misc:Depends},
-Recommends: libkf5declarative-doc (= ${source:Version}),
+Recommends: libkf5declarative-doc (= ${source:Version})
 Description: development files for kdeclarative
  Framework providing integration of QML and other KDE frameworks such
  as making i18n available and using kio.
@@ -83,7 +82,7 @@
 Package: libkf5declarative-doc
 Architecture: all
 Multi-Arch: foreign
-Depends: ${misc:Depends},
+Depends: ${misc:Depends}
 Description: provides integration of QML and KDE frameworks (documentation)
  Framework providing integration of QML and other KDE frameworks such
  as making i18n available and using kio.
@@ -100,7 +99,7 @@
 Breaks: libkf5plasma5 (<< 5.42),
         libkf5plasmaquick5 (<< 5.54),
         plasma-framework (<< 5.54),
-Recommends: kpackagelauncherqml,
+Recommends: kpackagelauncherqml
 Description: provides integration of QML and KDE frameworks
  Framework providing integration of QML and other KDE frameworks such
  as making i18n available and using kio.
@@ -108,7 +107,7 @@
 Package: libkf5quickaddons5
 Architecture: any
 Multi-Arch: same
-Depends: ${misc:Depends}, ${shlibs:Depends},
+Depends: ${misc:Depends}, ${shlibs:Depends}
 Description: provides integration of QML and KDE frameworks -- quickaddons
  Framework providing optimized image texture caching.
 Breaks: libkf5kcmutils5 (<< 5.54),
@@ -126,7 +125,7 @@
 
 Package: qml-module-org-kde-graphicaleffects
 Architecture: any
-Multi-Arch: same
+Multi-arch: same
 Depends: libkf5declarative5 (>= ${source:Version}),
          ${misc:Depends},
          ${shlibs:Depends},
@@ -160,7 +159,7 @@
  Controls.
  .
  This package contains the QML files used by libkf5declarative.
-Breaks: plasma-framework (<< 5.54),
+Breaks: plasma-framework (<< 5.54)
 
 Package: qml-module-org-kde-kcoreaddons
 Architecture: any
@@ -193,7 +192,7 @@
          qml-module-qtquick2,
          ${misc:Depends},
          ${shlibs:Depends},
-Breaks: plasma-framework (<< 5.54),
+Breaks: plasma-framework (<< 5.54)
 Description: provides integration of QML and KDE frameworks - kquickcontrols
  This import contains KDE extras that are visually similar to Qt Quick
  Controls.
