## kdeclarative 5.116.0+p24.04+vstable+git20250831.2322

=== debian/changelog ===
kdeclarative (5.116.0+p24.04+vstable+git20250831.2322-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sun, 31 Aug 2025 23:22:57 +0000
